Author: Francois Mazen <francois@mzf.fr>
Description: Fix crash when font_name not defined in config file. See #1050462. 
Forwarded: https://github.com/getting-things-gnome/gtg/issues/961

--- a/GTG/gtk/general_preferences.py
+++ b/GTG/gtk/general_preferences.py
@@ -81,16 +81,10 @@
     def get_default_editor_font(self):
         editor_font = self.config.get("font_name")
         if editor_font == "":
-            try:
-                font = self.ui_widget.get_style_context().get_property(
-                    "font", Gtk.StateFlags.NORMAL)
-                editor_font = font.to_string()
-            except UnicodeError as e:
-                log.warning("Using deprecated but still working font way (%r)",
-                            e)
-                font = self.ui_widget.get_style_context().get_font(
-                    Gtk.StateFlags.NORMAL)
-                editor_font = font.to_string()
+            log.warning("Using deprecated but still working font way")
+            font = self.ui_widget.get_style_context().get_font(
+                Gtk.StateFlags.NORMAL)
+            editor_font = font.to_string()
         return editor_font
 
     def _refresh_preferences_store(self):
